#!/bin/sh

kmoddir=/usr/local/modules
kmod=longrun.ko

#0=min,1=economy,2=performance,3=max
defaultlevel=2

case "$1" in
start)
	if [ -x $kmoddir/$kmod ]; then
	    echo -n ' longrun'
	    kldload $kmoddir/$kmod
	    sysctl hw.crusoe.longrun=$defaultlevel
	fi
	;;
stop)
	kldunload $kmod && echo -n ' longrun'
	;;
*)
	echo "Usage: `basename $0` {start|stop}" >&2
	exit 64
	;;
esac
